commit:     f074eba281133487bad523cc1b460a42ac3fd225
Author:     Brahmajit Das <brahmajit.xyz <AT> gmail <DOT> com>
AuthorDate: Mon Jun  5 14:57:25 2023 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Wed Jul  5 18:18:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f074eba2

www-apache/mod_qos: Fix incompatible pointer to integer conversion

Closes: https://bugs.gentoo.org/898860
Signed-off-by: Brahmajit Das <brahmajit.xyz <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/31321
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 ...incompatible-pointer-to-integer-conversion.diff | 12 ++++
 www-apache/mod_qos/mod_qos-11.74-r1.ebuild         | 66 ++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git 
a/www-apache/mod_qos/files/mod_qos-11.74-fix-incompatible-pointer-to-integer-conversion.diff
 
b/www-apache/mod_qos/files/mod_qos-11.74-fix-incompatible-pointer-to-integer-conversion.diff
new file mode 100644
index 000000000000..51971667ee59
--- /dev/null
+++ 
b/www-apache/mod_qos/files/mod_qos-11.74-fix-incompatible-pointer-to-integer-conversion.diff
@@ -0,0 +1,12 @@
+Bug: https://bugs.gentoo.org/898860
+--- a/tools/src/qsfilter2.c
++++ b/tools/src/qsfilter2.c
+@@ -1800,7 +1800,7 @@ int main(int argc, const char * const argv[]) {
+   printf("# --------------------------------------------------------\n");
+ 
+   {
+-    STACK_OF(qs_rule_t) *st = sk_new(STACK_qs_cmp);
++    STACK_OF(qs_rule_t) *st = sk_new((qs_rule_t *)STACK_qs_cmp);
+     qs_rule_t *r;
+     int j = 1;
+     entry = (apr_table_entry_t *)apr_table_elts(rules)->elts;

diff --git a/www-apache/mod_qos/mod_qos-11.74-r1.ebuild 
b/www-apache/mod_qos/mod_qos-11.74-r1.ebuild
new file mode 100644
index 000000000000..e428ba480f54
--- /dev/null
+++ b/www-apache/mod_qos/mod_qos-11.74-r1.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools apache-module
+
+DESCRIPTION="A QOS module for the apache webserver"
+HOMEPAGE="http://mod-qos.sourceforge.net/";
+SRC_URI="mirror://sourceforge/mod-qos/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-libs/libpcre2
+       dev-libs/openssl:0=
+       media-libs/libpng:0=
+       sys-libs/zlib:0=
+"
+DEPEND="${RDEPEND}"
+
+APXS2_S="${S}/apache2"
+APACHE2_MOD_CONF="10_${PN}"
+APACHE2_MOD_DEFINE="QOS"
+DOCFILES="${S}/doc/*.txt ${S}/README.TXT"
+
+need_apache2
+
+PATCHES=(
+       
"${FILESDIR}"/${PN}-11.74-fix-incompatible-pointer-to-integer-conversion.diff
+)
+
+pkg_setup() {
+       _init_apache2
+       _init_apache2_late
+}
+src_prepare() {
+       default
+
+       pushd "${S}"/tools &>/dev/null || die
+       eautoreconf
+       popd &>/dev/null || die
+}
+
+src_configure() {
+       pushd "${S}"/tools &>/dev/null || die
+       econf
+       popd &>/dev/null || die
+}
+
+src_compile() {
+       apache-module_src_compile
+       emake -C "${S}"/tools
+}
+
+src_install() {
+       einfo "Installing Apache module ..."
+       pushd "${S}"/tools &>/dev/null || die
+       apache-module_src_install
+       popd &>/dev/null || die
+
+       einfo "Installing module utilities ..."
+       emake -C "${S}"/tools install DESTDIR="${D}"
+}

Reply via email to